Package org.apache.tools.ant.taskdefs

# Class ManifestException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.apache.tools.ant.taskdefs.ManifestException

All Implemented Interfaces:
  `java.io.Serializable`

    public class ManifestException
    extends java.lang.Exception

Exception thrown indicating problems in a JAR Manifest

Since:
  Ant 1.4
See Also:
  Serialized Form

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`ManifestException​(java.lang.String msg)` | Constructs an exception with the given descriptive message.

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ManifestException

public ManifestException​(java.lang.String msg)
Constructs an exception with the given descriptive message.

Parameters:
  `msg` - Description of or information about the exception.